<?php

class Coloni{
	var  $tabla = '0';
	var  $cve_col = '0';
	var  $cod_pos = '0';
	var  $cve_pais = '0';
	var  $cve_estado = '0';
	var  $cve_delmun = '0';
	var  $des_colonia = '0';
	var  $lastInsId = '0';
	var  $lastRegRev = '0';
	function Coloni($data){
		$this->tabla='dxcoloni';
		$this->resetData($data);
	}

	function resetData($data){
		$this->cve_col=$this->checkData($data['idColonia'],'');
		$this->cod_pos=$this->checkData($data['codPos'],'');
		$this->cve_pais=$this->checkData($data['idPais'],'');
		$this->cve_estado=$this->checkData($data['idEstado'],'');
		$this->cve_delmun=$this->checkData($data['idDelMun'],'');
		$this->des_colonia=$this->checkData($data['desColonia'],'');
	}

	function revisar_colonia(){
		$sq_delete="SELECT * FROM $this->tabla WHERE cod_pos='$this->cod_pos' AND des_colonia='$this->des_colonia' AND cve_pais='$this->cve_pais' AND cve_estado='$this->cve_estado' AND cve_delmun='$this->cve_delmun'";
		
		$rs=mysqli_query($GLOBALS['con'] ,$sq_delete);
		if(mysqli_num_rows($rs)>0){
			return 1;
		}else
			return 0;		
	}
	function agregar(){
		$sq_create="INSERT INTO $this->tabla SET cod_pos='$this->cod_pos', cve_pais='$this->cve_pais', cve_estado='$this->cve_estado', cve_delmun='$this->cve_delmun', des_colonia='$this->des_colonia'";
		
		$rs=mysqli_query($GLOBALS['con'] ,$sq_create);
		if($rs){
			$this->lastInsId=mysqli_insert_id();
			return 1;
		}
		else
			return -1;
	}

	function modificar(){
		$sq_update="UPDATE $this->tabla SET cod_pos='$this->cod_pos', cve_pais='$this->cve_pais', cve_estado='$this->cve_estado', cve_delmun='$this->cve_delmun', des_colonia='$this->des_colonia' WHERE cve_col='$this->cve_col'";
		
		$rs=mysqli_query($GLOBALS['con'] ,$sq_update);
		if($rs)
			return 1;
		else
			return 0;
	}

	function busReg(){
		$sq_delete="SELECT * FROM $this->tabla WHERE cve_col='$this->cve_col'";
		
		$rs=mysqli_query($GLOBALS['con'] ,$sq_delete);
		if($rs)
			return $rs;
		else
			return 0;
	}

	function getRegByKeys(){
		$sq_retrieve="SELECT * FROM $this->tabla WHERE cod_pos='$this->cod_pos' AND des_colonia='$this->des_colonia' AND cve_pais='$this->cve_pais' AND cve_estado='$this->cve_estado' AND cve_delmun='$this->cve_delmun'";
		
		$rs=mysqli_query($GLOBALS['con'] ,$sq_retrieve);
		if($rs){
			return $rs;
		}else
			return 0;		
	}
	
	function eliminar(){
		$sq_delete="DELETE FROM $this->tabla WHERE cve_col='$this->cve_col'";
		
		$rs=mysqli_query($GLOBALS['con'] ,$sq_delete);
		if($rs)
			return 1;
		else
			return 0;
	}

	
	function checkData($data,$default){
		if(isset($data)) 
			$auxData=$data;
		else 
			$auxData=$default;
		if(get_magic_quotes_gpc()) 
			$auxData = stripslashes($auxData);
		$auxData=htmlentities($auxData);
		return mysqli_real_escape_string($con,$auxData);
	}

	function getLastInsId(){
		return $this->lastInsId;
	}

	function getMySQLError(){
		return 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']); 
	}

}
?>